Bug 310591

Summary: qemu-kvm crashes after XP SP 2 installed on a Windows XP Pro guest
Product: [Fedora] Fedora Reporter: John Lagrue <admin>
Component: kvmAssignee: Jeremy Katz <katzj>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 7CC: agilmore, berrange, michel, tim
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-25 00:41:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Lagrue 2007-09-28 06:49:53 EDT
Description of problem:
qemu-kvm crashes when attempting to boot an XP Pro guest after XP SP 2 is
installed. The guest ran fine before SP2 was installed.

Version-Release number of selected component (if applicable):
QEMU PC emulator version 0.9.0, 

How reproducible:


Steps to Reproduce:
1. su
2. qemu-kvm -localtime -no-acpi -m 512  CC3_1 
3. Windows attempts to start, then the program crashes as shown below
   
Actual results:
Firstly, the usual error about rtc (why is there no answer to this either?)

Followed by:
unhandled vm exit:  0x3f60101
rax 00000000000000b5 rbx 00000000000000b5 rcx 0000000000000000 rdx 00000008053f118
rsi 0000000080551920 rdi 0000000000000000 rsp 00000000804d7000 rbp 000000008053f0a0
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 000000008053f620 rflags 00000002
cs 0008 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type b l 0 g 0 avl 0)
ds 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
es 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
ss 0010 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 0030 (ffdff000/00001fff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 0 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0028 (80042000/000020ab p 1 dpl 0 db 0 s 0 type 9 l 0 g 0 avl 0)
ldt 0000 (00000000/0000ffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 8003f000/3ff
idt 8003f400/7ff
cr0 8001003d cr2 0 cr3 a4a000 cr4 20 cr8 0 efer 0
Aborted

Expected results:
Should have windows running in the guest.

Additional info:
Comment 1 Andrew Gilmore 2007-10-08 22:00:23 EDT
I have the same error, but I did an install directly from a patched SP2 disk. I
also note that kvm-24 works fine, but both 35-2 and 35-3 (just released) crash
on qemu-kvm startup with the almost the same exact message as above:
unhandled vm exit:  0x3f60101
rax 00000000000000b5 rbx 00000000000000b5 rcx 0000000000000000 rdx 000000008053f118
rsi 0000000080551920 rdi 0000000000000000 rsp 00000000804d7000 rbp 000000008053f0a0
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 000000008053f620 rflags 00000002
cs 0008 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type b l 0 g 0 avl 0)
ds 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
es 0023 (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
ss 0010 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 0030 (ffdff000/00001fff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 0 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0028 (80042000/000020ab p 1 dpl 0 db 0 s 0 type 9 l 0 g 0 avl 0)
ldt 0000 (00000000/0000ffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 8003f000/3ff
idt 8003f400/7ff
cr0 8001003d cr2 0 cr3 2c7000 cr4 20 cr8 0 efer 0

vgrep shows cr3 to be the only difference.

I suggest downgrading to kvm-24 until this is fixed. Any sense in trying the
between kvm builds (updates-testing, perhaps?)
Comment 2 Michel Alexandre Salim 2008-02-18 13:02:20 EST
Try updating to the version in Rawhide:
yum update --enablerepo=development kvm

I've just installed from a slipstreamed XP SP2 disc, and have encountered no problem so far (the version in 
F8 won't finish installing)
Comment 3 Brian Powell 2008-04-25 00:41:32 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.